[PC-BSD Commits] r1494 - in pbibuild/modules/echolinux: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Fri Feb 29 15:36:03 PST 2008


Author: gonzalo
Date: 2008-02-29 15:36:03 -0800 (Fri, 29 Feb 2008)
New Revision: 1494

Modified:
   pbibuild/modules/echolinux/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/echolinux/pbi.conf
Log:
Echolinux removescript modified

Modified: pbibuild/modules/echolinux/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/echolinux/overlay-dir/PBI.RemoveScript.sh	2008-02-29 23:18:18 UTC (rev 1493)
+++ pbibuild/modules/echolinux/overlay-dir/PBI.RemoveScript.sh	2008-02-29 23:36:03 UTC (rev 1494)
@@ -28,16 +28,20 @@
 do
  rm /usr/local/share/sounds/${i}
 done
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Echolinux user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.echoLinux" ]
+   then
+    rm -rf /home/${i}/.echoLinux
+   fi
+  done
+ fi
+fi
 
-cd /home
-for i in *
-   do 
-     if [ -d "/home/${i}/.echoLinux" ] 
-     then 
-       kdialog --title "Uninstalling echolinux!" --yesno "Do you wish to erase xastir's configuration files for ${i} user as well?" 
-       if [ "$?" = "0" ] 
-       then 
-         rm -R /home/${i}/.echoLinux
-       fi 
-     fi 
-   done

Modified: pbibuild/modules/echolinux/pbi.conf
===================================================================
--- pbibuild/modules/echolinux/pbi.conf	2008-02-29 23:18:18 UTC (rev 1493)
+++ pbibuild/modules/echolinux/pbi.conf	2008-02-29 23:36:03 UTC (rev 1494)
@@ -32,6 +32,6 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
+BUILDKEY="02"
 
 export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY



More information about the Commits mailing list